## com.sun.jersey.api.client
Class AsyncViewResource.Builder

    java.lang.Object
      com.sun.jersey.api.client.PartialRequestBuilder<AsyncViewResource.Builder>
          com.sun.jersey.api.client.AsyncViewResource.Builder

All Implemented Interfaces:
  AsyncViewUniformInterface, RequestBuilder<AsyncViewResource.Builder>

Enclosing class:
  AsyncViewResource

    public class AsyncViewResource.Builder

extends PartialRequestBuilder<AsyncViewResource.Builder>
implements AsyncViewUniformInterface

The builder for building a `ClientRequest` instance and handling the request using the `UniformInterface`. The methods of the `UniformInterface` are the build methods of the builder.

Field Summary

Fields inherited from class com.sun.jersey.api.client.PartialRequestBuilder
`entity, metadata`

Method Summary

`

`<T> java.util.concurrent.Future<T>`

`

`delete(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`delete(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`delete(T t)`

`

`<T> java.util.concurrent.Future<T>`

`

`delete(T t, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`get(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`get(T t)`

`

`<T> java.util.concurrent.Future<T>`

`

`head(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`head(T t)`

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, T t)`

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, T t, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`options(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`options(T t)`

`

`<T> java.util.concurrent.Future<T>`

`

`post(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`post(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`post(T t)`

`

`<T> java.util.concurrent.Future<T>`

`

`post(T t, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`put(java.lang.Class<T> c)`

`

`<T> java.util.concurrent.Future<T>`

`

`put(java.lang.Class<T> c, java.lang.Object requestEntity)`

`

`<T> java.util.concurrent.Future<T>`

`

`put(T t)`

`

`<T> java.util.concurrent.Future<T>`

`

`put(T t, java.lang.Object requestEntity)`

Methods inherited from class com.sun.jersey.api.client.PartialRequestBuilder
`accept, accept, acceptLanguage, acceptLanguage, cookie, entity, entity, entity, header, type, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### head

    public <T> java.util.concurrent.Future<T> head(java.lang.Class<T> c)

  Specified by:
    `head` in interface `AsyncViewUniformInterface`

### head

    public <T> java.util.concurrent.Future<T> head(T t)

  Specified by:
    `head` in interface `AsyncViewUniformInterface`

### options

    public <T> java.util.concurrent.Future<T> options(java.lang.Class<T> c)

  Specified by:
    `options` in interface `AsyncViewUniformInterface`

### options

    public <T> java.util.concurrent.Future<T> options(T t)

  Specified by:
    `options` in interface `AsyncViewUniformInterface`

### get

    public <T> java.util.concurrent.Future<T> get(java.lang.Class<T> c)

  Specified by:
    `get` in interface `AsyncViewUniformInterface`

### get

    public <T> java.util.concurrent.Future<T> get(T t)

  Specified by:
    `get` in interface `AsyncViewUniformInterface`

### put

    public <T> java.util.concurrent.Future<T> put(java.lang.Class<T> c)

  Specified by:
    `put` in interface `AsyncViewUniformInterface`

### put

    public <T> java.util.concurrent.Future<T> put(T t)

  Specified by:
    `put` in interface `AsyncViewUniformInterface`

### put

    public <T> java.util.concurrent.Future<T> put(java.lang.Class<T> c,
                                                  java.lang.Object requestEntity)

  Specified by:
    `put` in interface `AsyncViewUniformInterface`

### put

    public <T> java.util.concurrent.Future<T> put(T t,
                                                  java.lang.Object requestEntity)

  Specified by:
    `put` in interface `AsyncViewUniformInterface`

### post

    public <T> java.util.concurrent.Future<T> post(java.lang.Class<T> c)

  Specified by:
    `post` in interface `AsyncViewUniformInterface`

### post

    public <T> java.util.concurrent.Future<T> post(T t)

  Specified by:
    `post` in interface `AsyncViewUniformInterface`

### post

    public <T> java.util.concurrent.Future<T> post(java.lang.Class<T> c,
                                                   java.lang.Object requestEntity)

  Specified by:
    `post` in interface `AsyncViewUniformInterface`

### post

    public <T> java.util.concurrent.Future<T> post(T t,
                                                   java.lang.Object requestEntity)

  Specified by:
    `post` in interface `AsyncViewUniformInterface`

### delete

    public <T> java.util.concurrent.Future<T> delete(java.lang.Class<T> c)

  Specified by:
    `delete` in interface `AsyncViewUniformInterface`

### delete

    public <T> java.util.concurrent.Future<T> delete(T t)

  Specified by:
    `delete` in interface `AsyncViewUniformInterface`

### delete

    public <T> java.util.concurrent.Future<T> delete(java.lang.Class<T> c,
                                                     java.lang.Object requestEntity)

  Specified by:
    `delete` in interface `AsyncViewUniformInterface`

### delete

    public <T> java.util.concurrent.Future<T> delete(T t,
                                                     java.lang.Object requestEntity)

  Specified by:
    `delete` in interface `AsyncViewUniformInterface`

### method

    public <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                                     java.lang.Class<T> c)

  Specified by:
    `method` in interface `AsyncViewUniformInterface`

### method

    public <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                                     T t)

  Specified by:
    `method` in interface `AsyncViewUniformInterface`

### method

    public <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                                     java.lang.Class<T> c,
                                                     java.lang.Object requestEntity)

  Specified by:
    `method` in interface `AsyncViewUniformInterface`

### method

    public <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                                     T t,
                                                     java.lang.Object requestEntity)

  Specified by:
    `method` in interface `AsyncViewUniformInterface`

Copyright © 2017 Oracle Corporation. All Rights Reserved.